Skip to content

Xếp hạng cửa hàng - Được quảng bá nhiều nhất

Giới thiệu

Lấy dữ liệu xếp hạng Được quảng bá nhiều nhất của cửa hàng TikTok, với các tính năng sau:

  • Hỗ trợ thiết lập tham số lọc
  • Hỗ trợ sắp xếp kết quả tùy chỉnh

Endpoint API

bash
    POST /shop/v1/rank/mostPromoted

Phần thân yêu cầu

TrườngKiểuBắt buộcMô tả
filterobjectKhôngTham số lọc
orderbyobjectKhôngTham số sắp xếp
pageintegerKhôngSố trang, mặc định: 1
pagesizeintegerKhôngSố mục mỗi trang, mặc định: 10

page * pagesize <= 500

pagesize khoảng [1, 100]

Giá trị tùy chọn của filter

TrườngKiểuBắt buộcMô tả
regionstringKhôngQuốc gia/Khu vực
category_idintegerKhôngDanh mục sản phẩm
shop_typeintegerKhôngLoại cửa hàng: 1 (Cửa hàng thương hiệu), 2 (Cửa hàng bán lẻ)
is_cross_borderintegerKhôngCó xuyên biên giới: 1 (Có), 0 (Không)
date_infoobjectThông tin ngày

khoảng region: ['US','GB','MX','ES','DE','IT','FR','PT','NL','BE','AT','PL','ID','VN','MY','TH','PH','BR','JP','SG']

Giá trị tùy chọn của orderby

TrườngBắt buộcMô tả
affiliate_countKhôngSố liên kết (giảm dần)

Ví dụ yêu cầu

bash
curl 'https://openapi.fastmoss.com/shop/v1/rank/mostPromoted' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "region": "US",
        "category_id": 14,
        # "shop_type": 1,
        # "is_cross_border": 1,
        "date_info": {
            "type": "day",
            "value": "2026-04-01"
        },
        # "date_info": {
        #     "type": "week",
        #     "value": "2026-05"
        # },
        # "date_info": {
        #     "type": "month",
        #     "value": "2026-03"
        # }
    },
    "orderby": [
      {
        "field": "affiliate_count",
        "order": "desc",
      }
    ],
    "page": 1,
    "pagesize": 10
}'

Phần thân phản hồi

data.total

Tổng số mục trong kết quả.

data.list

TrườngKiểuMô tả
shop_infoobjectThông tin cửa hàng
rank_categoryobjectDanh mục xếp hạng
total_affiliate_countintegerTổng số nhà sáng tạo liên kết
affiliate_countintegerNhà sáng tạo liên kết mới
sale_product_countintegerSản phẩm đang bán
units_soldintegerSố đơn vị bán
gmvintegerDoanh thu bán hàng (GMV)
usd_gmvintegerDoanh thu tính bằng USD
units_sold_inc_ratestringTỷ lệ tăng trưởng doanh số
gmv_inc_ratestringTỷ lệ tăng trưởng doanh thu
currencystringTiền tệ

Ví dụ phản hồi

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "shop_info": {
          "seller_id": 7494006325298104216,
          "name": "LOOKFANTASTIC",
          "brand": "LOOKFANTASTIC",
          "seller_company": "Thehut.com limited",
          "avatar": "https://s.500fd.com/tt_shop/813e1606cff740e9932168cfe95e5c4f~tplv-tulkllf4y5-resize-webp:300:300.webp",
          "region": "GB",
          "currency": "GBP",
          "product_count": 4881,
          "shop_rating": 4.7,
          "main_category": {
            "category_id": 14,
            "name": "Beauty & Personal Care"
          },
          "is_fully_managed": 0,
          "is_cross_border": 0,
          "shop_type": 1,
          "status": 1
        },
        "rank_category": { "category_id": 0, "name": "" },
        "total_affiliate_count": 47691,
        "affiliate_count": 55,
        "sale_product_count": 252,
        "units_sold": 984,
        "gmv": 24915.88,
        "usd_gmv": 30895.69,
        "units_sold_inc_rate": "28.8%",
        "gmv_inc_rate": "43.39%",
        "currency": "GBP"
      }
    ],
    "total": 500,
    "date_type": "day",
    "date_value": "2026-04-06"
  },
  "message": "",
  "timestamp": 1775714099,
  "request_id": "764beab5-2619-53cc-cf63-b726d9086655"
}